Valorant API Unofficial docs
API Reference Activities
POST

Shared Join Link

Create a shared join link for an activity. The request has an empty body.

The returned join code can be shared with other players, either directly or through the smartUrl, to let them join the party. The link can be revoked with the Disable Join Link endpoint.

Server pp.sgp.pvp.net Auth Bearer
POST https://{cluster}.pp.sgp.pvp.net/activities/v1/{activity id}/join-codes/shared
Try this request in the browser with your own values

Headers

Authorization string required
Value Bearer {auth token}— From the Entitlements Token endpoint or Riot auth

URL parameters

cluster enum required

euc1, usw2, apse1 or apne1: the SGP cluster for the region.

euc1usw2apse1apne1
How to get it

There are 4 SGP clusters:

Cluster ID Region
euc1 Europe
usw2 North America / Brazil / LATAM / PBE
apse1 Asia Pacific / Oceania
apne1 Japan / Korea

activity id string · uuid required

The ID of the activity, obtained from the Activity Lookup endpoint

Other variables

auth token From the Entitlements Token endpoint or Riot auth.
Details
Can be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Authentication

Response

joinCode string

The join code, e.g. `0000-0000-0000`

smartUrl string

Link containing the join code, e.g. `https://gg.riotgames.com/VAL?joinCode=0000-0000-0000`

expiresAt string

Expiration date of the join code in ISO 8601 format

isActive boolean

Whether the join code is currently active